### Method

# WebKit WebView save

#### Declaration [src]

    void
    webkit_web_view_save (
      WebKitWebView* web_view,
      WebKitSaveMode save_mode,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously save the current web page.

Asynchronously save the current web page associated to the `WebKitWebView` into a self-contained format using the mode specified in `save_mode`.

When the operation is finished, `callback` will be called. You can then call `webkit_web_view_save_finish()` to get the result of the operation.

#### Parameters

`save_mode` | `WebKitSaveMode`
| The `WebKitSaveMode` specifying how the web page should be saved.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the request is satisfied.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.